diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 07d8bed..3102543 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -41865,11 +41865,11 @@ InnerCommonDenominator(R, Q, A, B): Exports == Implementation where
  
     clearDenominator l ==
       d := commonDenominator l
-      map(numer(d * #1), l)
+      map(x +-> numer(d*x), l)
  
     splitDenominator l ==
       d := commonDenominator l
-      [map(numer(d * #1), l), d]
+      [map(x +-> numer(d*x), l), d]
  
     if R has GcdDomain then
       commonDenominator l == reduce(lcm, map(denom, l),1)
@@ -42081,13 +42081,13 @@ InnerMatrixLinearAlgebraFunctions(R,Row,Col,M):_
                    FSUP, VFSUP, VFSUP, Matrix FSUP)
       MATCAT22 := MatrixCategoryFunctions2(FSUP, VFSUP, VFSUP, Matrix FSUP,
                    R, Row, Col, M)
-      y:= map(coerce(coerce(#1)$SUP)$(Fraction SUP),x)$MATCAT2
+      y:= map((r1:R):FSUP +-> coerce(coerce(r1)$SUP)$(Fraction SUP),x)$MATCAT2
       ty:=transpose y
       yy:=ty*y
       nc:=ncols yy
       var:=monomial(1,1)$SUP ::(Fraction SUP)
       yy:=inverse(yy+scalarMatrix(ncols yy,var))::Matrix(FSUP)*ty
-      map(elt(#1,0),yy)$MATCAT22
+      map((z1:FSUP):R +-> elt(z1,0),yy)$MATCAT22
 
     inverse x ==
       (ndim := nrows x) ^= (ncols x) =>
diff --git a/changelog b/changelog
index 8b431b0..5528e51 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090604 tpd src/axiom-website/patches.html 20090604.04.tpd.patch
+20090604 tpd books/bookvol10.4 IMATLIN +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.03.tpd.patch
 20090604 tpd books/bookvol10.4 IALGFACT +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0307c85..855af5f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1441,5 +1441,7 @@ bookvol10.4 INCRMAPS +-> conversion<br/>
 bookvol10.4 INPRODPF +-> conversion<br/>
 <a href="patches/20090604.03.tpd.patch">20090604.03.tpd.patch</a>
 bookvol10.4 IALGFACT +-> conversion<br/>
+<a href="patches/20090604.04.tpd.patch">20090604.04.tpd.patch</a>
+bookvol10.4 IMATLIN +-> conversion<br/>
  </body>
 </html>
